CUPTI (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.17. CUpti_ActivityGlobalAccess Struct Reference

## [CUPTI Activity API]

This activity records the locations of the global accesses in the source (CUPTI_ACTIVITY_KIND_GLOBAL_ACCESS). Global access activities are now reported using the CUpti_ActivityGlobalAccess3 activity record.

### Public Variables

uint32_t correlationId
uint32_t executed
CUpti_ActivityFlag flags
CUpti_ActivityKind kind
uint64_t l2_transactions
uint32_t pcOffset
uint32_t sourceLocatorId
uint64_t threadsExecuted

### Variables

uint32_t CUpti_ActivityGlobalAccess::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityGlobalAccess::executed [inherited]

  The number of times this instruction was executed per warp. It will be incremented when at least one of thread among warp is active with predicate and condition code evaluating to true.

CUpti_ActivityFlag CUpti_ActivityGlobalAccess::flags [inherited]

  The properties of this global access.

CUpti_ActivityKind CUpti_ActivityGlobalAccess::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_GLOBAL_ACCESS.

uint64_t CUpti_ActivityGlobalAccess::l2_transactions [inherited]

  The total number of 32 bytes transactions to L2 cache generated by this access

uint32_t CUpti_ActivityGlobalAccess::pcOffset [inherited]

  The pc offset for the access.

uint32_t CUpti_ActivityGlobalAccess::sourceLocatorId [inherited]

  The ID for source locator.

uint64_t CUpti_ActivityGlobalAccess::threadsExecuted [inherited]

  This increments each time when this instruction is executed by number of threads that executed this instruction with predicate and condition code evaluating to true.